Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IGetMarkupBaseRequestContext

All Superinterfaces
  IBaseRequestContext, IMutableRegistrationContext, INillable, com.bea.wsrp.bind.IPortletContextHolder, IRegistrationContext, IRuntimeContext, IUserContext, Serializable

All Known Subinterfaces:
  IBlockingInteractionBaseRequestContext, IBlockingInteractionRequestContext, IGetMarkupRequestContext, IGetRenderDependenciesRequestContext, IGetResourceRequestContext

    public interface IGetMarkupBaseRequestContext

extends IBaseRequestContext, IRuntimeContext, IUserContext

A base request context that represents partial input data for the "getMarkup" operation. It includes accessors and mutators for most of the elements of markup described in the WSRP specification, except WLP extensions.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`void` | `addLocale(Locale locale)` Adds the supplied `locale` to the end of the list.
`void` | `addMarkupCharacterSet(String markupCharacterSet)` Adds the supplied `markupCharacterSet` to the set of character sets that WLP Consumer is sending to a producer.
`void` | `addMimeType(String mimeType)` Addes the supplied `mimeType` towards the end of the current list of Mime types.
`List<Locale>` | `getLocales()` A list of locales that the WLP Consumer computed for the current portlet to generate markup.
`Set<String>` | `getMarkupCharacterSets()` The character sets that WLP Consumer wants the Producer use to encode the current portlet's markup.
`List<String>` | `getMimeTypes()` A list of Mime types (text/html, text/xml, application/xhtml+xml, etc) that the WLP Consumer prefers the Producer to generate a portlet's markup.
`String` | `getMode()` The mode of a portlet for which the Producer generates markup.
`String` | `getNavigationalState()` Returns the opaque navigational state of the current portlet.
`PortletParameters` | `getPublicNavigationalState()` Returns the public navigational state of the current portlet.
`String` | `getRequestVerb()` Returns the request method.
`String` | `getUserAgent()` A string identifying user-agent of an end-user.
`String` | `getWindowState()` The state of the current portlet's virtual window.
`boolean` | `isSecureClientCommunicationOn()` Indicates whether client is using a secure communication channel between client and the Consumer.
`boolean` | `isValidateTagOn()` Returns true if the Producer sent a validateTag in previous requests and the WLP Consumer has cached markup for the current portlet.
`void` | `setMarkupCharacterSet(Set<String> markupCharacterSet)` Uses the supplied set of character sets as the markup character sets for the current portlet.
`void` | `setMode(String mode)` The supplied `mode` is set as the portlet's mode.
`void` | `setNavigationalState(String navState)` The supplied `navState` is set as the opaque navigational state of the current portlet.
`void` | `setPublicNavigationalState(PortletParameters publicState)` Sets the public navigational state of the current portlet.
`void` | `setRequestVerb(String requestVerb)` Sets the request method.
`void` | `setUserAgent(String newUserAgent)` Sets the supplied `newUserAgent` as an user-agent of an end-user.
`void` | `setValidateTagOn(boolean value)` Sets the supplied `value` for the validateTag on field.
`void` | `setWindowState(String windowState)` The supplied `windowState` is set as the portlet's state.

Methods inherited from interface com.bea.wsrp.model.markup.IBaseRequestContext
`addMimeHeader, getHttpServletRequest, getHttpServletResponse, getMimeHeaders, getMimeHeaders, getProducerInfo, getServletContext, removeMimeHeader, setMimeHeader`

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile, setUserContextKey`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Methods inherited from interface com.bea.wsrp.model.markup.IRuntimeContext
`getDoctypeUri, getNamespacePrefix, getPortletInstanceKey, getSessionID, getSkeleton, getSkeletonChromosome, getSkeletonPath, getSkin, getSkinChromosome, getSkinPath, getTemplates, getThemeName, getThemeSkeletonChromosome, getThemeSkinChromosome, getUserAuthentication, isReturnContentToCaller, isUsingAltSkeleton, isUsingAltSkin, setDoctypeUri, setNamespacePrefix, setPortletInstanceKey, setReturnContentToCaller, setSessionID, setSkeleton, setSkeletonChromosome, setSkeletonPath, setSkin, setSkinChromosome, setSkinPath, setTemplates, setThemeName, setThemeSkeletonChromosome, setThemeSkinChromosome, setUserAuthentication, setUsingAltSkeleton, setUsingAltSkin`

Method Detail

### isSecureClientCommunicationOn

    boolean isSecureClientCommunicationOn()

  Indicates whether client is using a secure communication channel between client and the Consumer.

  Returns
    true if client is using a secure communication channel, otherwise false.

### getLocales

    List<Locale> getLocales()

  A list of locales that the WLP Consumer computed for the current portlet to generate markup. The WLP Consumer computes locales and their order based on the end-user preferences and locales declared in the portlet description.

  Returns
    A list of `Locale`s.

### addLocale

    void addLocale(Locale locale)

  Adds the supplied `locale` to the end of the list. Note: this method doesn't check if the supplied `locale` is allowed or not.

  Parameters
    `locale` - A `Locale` to add.

### getMimeTypes

    List<String> getMimeTypes()

  A list of Mime types (text/html, text/xml, application/xhtml+xml, etc) that the WLP Consumer prefers the Producer to generate a portlet's markup.

  Returns
    A list of Mime types.

### addMimeType

    void addMimeType(String mimeType)

  Addes the supplied `mimeType` towards the end of the current list of Mime types.

  Parameters
    `mimeType` - A Mime type to add.

### getMode

    String getMode()

  The mode of a portlet for which the Producer generates markup.

  Returns
    A portlet's mode.

### setMode

    void setMode(String mode)

  The supplied `mode` is set as the portlet's mode. The value can be any supported modes specified in the current portlet's metadata or "wsrp:view".

  Parameters
    `mode` - A supported portlet's mode.

### getWindowState

    String getWindowState()

  The state of the current portlet's virtual window.

  Returns
    A portlet's state.

### setWindowState

    void setWindowState(String windowState)

  The supplied `windowState` is set as the portlet's state. The value can be any supported states specified in the current portlet's metadata or "wsrp:normal".

  Parameters
    `windowState` - A supported portlet's window state.

### getNavigationalState

    String getNavigationalState()

  Returns the opaque navigational state of the current portlet.

  Returns
    The opaque navigational state of the current portlet.

### setNavigationalState

    void setNavigationalState(String navState)

  The supplied `navState` is set as the opaque navigational state of the current portlet. To set the public navigational state, use the setPublicNavigationalState() method.

  Parameters
    `navState` - The opaque navigational state of the current portlet.

### getPublicNavigationalState

    PortletParameters getPublicNavigationalState()

  Returns the public navigational state of the current portlet.

  Returns
    the public navigational state of the current portlet.

### setPublicNavigationalState

    void setPublicNavigationalState(PortletParameters publicState)

  Sets the public navigational state of the current portlet. To set the opaque navigational state, use the setNavigationalState() method.

  Parameters
    `publicState` - the public navigational state of the current portlet.

### getMarkupCharacterSets

    Set<String> getMarkupCharacterSets()

  The character sets that WLP Consumer wants the Producer use to encode the current portlet's markup.

  Returns
    A set of character set names.

### addMarkupCharacterSet

    void addMarkupCharacterSet(String markupCharacterSet)

  Adds the supplied `markupCharacterSet` to the set of character sets that WLP Consumer is sending to a producer.

  Parameters
    `markupCharacterSet` - A character set.

### setMarkupCharacterSet

    void setMarkupCharacterSet(Set<String> markupCharacterSet)

  Uses the supplied set of character sets as the markup character sets for the current portlet.

  Parameters
    `markupCharacterSet` - A set of markup character sets.

### isValidateTagOn

    boolean isValidateTagOn()

  Returns true if the Producer sent a validateTag in previous requests and the WLP Consumer has cached markup for the current portlet.

  Returns
    true if the Producer sent a validateTag for the current portlet and the WLP Cconsumer has cached markup, otherwise false.

### setValidateTagOn

    void setValidateTagOn(boolean value)

  Sets the supplied `value` for the validateTag on field.

  Parameters
    `value` - A boolean value.

### getUserAgent

    String getUserAgent()

  A string identifying user-agent of an end-user.

  Returns
    a string identifying user-agent of an end-user.

### setUserAgent

    void setUserAgent(String newUserAgent)

  Sets the supplied `newUserAgent` as an user-agent of an end-user.

  Parameters
    `newUserAgent` - A new user-agent identification.

### getRequestVerb

    String getRequestVerb()

  Returns the request method.

  Returns
    request method, such as GET, POST etc.

### setRequestVerb

    void setRequestVerb(String requestVerb)

  Sets the request method.

  Parameters
    `requestVerb` - request method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.